/* DO NOT EDIT THIS FILE */
/* This file is autogenerated by the text-database code generator */

#ifndef APPLICATIONFONTPROVIDER_HPP
#define APPLICATIONFONTPROVIDER_HPP

#include <touchgfx/FontManager.hpp>

struct Typography
{
  static const touchgfx::FontId DEMOVIEW_MCULOAD_TEXT = 0;
  static const touchgfx::FontId DEMOVIEW_MCULOAD_TEXT_TINY = 1;
  static const touchgfx::FontId GAME_2048_TEXT = 2;
  static const touchgfx::FontId GAME_2048_MCU_LOAD = 3;
  static const touchgfx::FontId CAROUSELHEADLINE = 4;
  static const touchgfx::FontId CAROUSELTEXT = 5;
  static const touchgfx::FontId ANIMATINGBUTTONSTEXT = 6;
  static const touchgfx::FontId GAME_2D_TEXT = 7;
  static const touchgfx::FontId GAME_2D_HEADER = 8;
  static const touchgfx::FontId GAME_2D_SCORE_VALUE = 9;
  static const touchgfx::FontId CONTROLS_HEADLINE = 10;
  static const touchgfx::FontId CONTROLS_READOUT = 11;
  static const touchgfx::FontId CONTROLS_READOUT_SUBSCRIPT_SMALL = 12;
  static const touchgfx::FontId CONTROLS_READOUT_LARGE = 13;
  static const touchgfx::FontId CONTROLS_READOUT_SUBSCRIPT_MEDIUM = 14;
  static const touchgfx::FontId MEDIA_PLAY_TIME = 15;
  static const touchgfx::FontId EQUALIZER_BAND_READOUT = 16;
  static const touchgfx::FontId EQUALIZER_LOUDNESS_READOUT = 17;
  static const touchgfx::FontId AUDIO_PLAYLIST_LARGE = 18;
  static const touchgfx::FontId AUDIO_PLAYLIST_SMALL = 19;
  static const touchgfx::FontId SETTINGS_DIGITAL_CLOCK = 20;
  static const touchgfx::FontId SETTINGS_MAIN_DATE_YEAR = 21;
  static const touchgfx::FontId SETTINGS_MAIN_DATE_MONTH = 22;
  static const touchgfx::FontId SETTINGS_MAIN_DATE_DAY = 23;
  static const touchgfx::FontId HOMECONTROL_LOGIN_HEADER = 24;
  static const touchgfx::FontId HOMECONTROL_LOGIN_BANNER = 25;
  static const touchgfx::FontId HOMECONTROL_PRECENT_VALUE = 26;
  static const touchgfx::FontId HOMECONTROL_PERCENT_SIGN = 27;
  static const touchgfx::FontId DATE_PICKER = 28;
  static const touchgfx::FontId DATE_PICKER_SELECTED = 29;
};

class ApplicationFontProvider : public touchgfx::FontProvider
{
public:
  virtual touchgfx::Font* getFont(touchgfx::FontId fontId);
};

#endif /* APPLICATIONFONTPROVIDER_HPP */
